:root{
    --color-fondo:#fff;
    --color-texto:#050505;
    --color-sombra: rgba(0,0,0,0.3);
    --color-resaltador:chartreuse;
}
@media(prefers-color-scheme: dark){
    .contenedor-app{
        --color-fondo:#050505;
        --color-texto:#fff;
        --color-sombra: rgba(255,255,255,0.3);
        --color-resaltador:orangered;
    }
    #cambiar-color:checked ~ .contenedor-app{
   --color-fondo:#fff;
    --color-texto:#050505;
    --color-sombra: rgba(0,0,0,0.3);
    --color-resaltador:chartreuse;
}
}
@media(prefers-color-scheme: light){
    #cambiar-color:checked ~ .contenedor-app{
        --color-fondo:#050505;
        --color-texto:#fff;
        --color-sombra: rgba(255,255,255,0.3);
        --color-resaltador:orangered;
    }
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
::selection{
    background-color: var(--color-texto);
    color: var(--color-fondo);
}
html{
    scroll-behavior: smooth;
    scroll-padding-top: 5rem;
}

a{
    text-decoration: none;
    color: inherit;
}
ul{
    list-style: none;
}
body{
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1.5rem;
}
#cambiar-color{
    display: none;
}

.contenedor-app{

    background-color: var(--color-fondo);
    color: var(--color-texto);
}
.contenedor{
    width: min(calc(100% - 32px), 1200px);
    margin: 0 auto;
    padding-block: 1.5rem;
}
header{
    position: sticky;
    top:0;
    right: 0;
    left: 0;
    box-shadow: 2px 2px 2px var(--color-sombra);
    background-color: var(--color-fondo);
}


header nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}
header nav ul{
    display: flex;
    justify-content: center;
    gap:2rem;
    text-transform: capitalize;
}

section{
    min-height: 100vh;
    display: grid;
    place-items: center;
    text-transform: uppercase;
    font-size: 4rem;
    border-bottom: 5px solid var(--color-resaltador);
}
.iconos label{
    position: absolute;
    transform: translate(-100%,-50%);
    cursor: pointer;
}
#luna{
    visibility: hidden;
    opacity: 0;
}
#cambiar-color:checked ~ .contenedor-app .iconos #sol{
    visibility: hidden;
    opacity: 0;
}
#cambiar-color:checked ~ .contenedor-app .iconos #luna{
    visibility: visible;
    opacity: 1;
}